<div id="visits">
<div class="box">
	<div class="header">
		<h1><?=s('VisitsManagement')?></h1>
		<div class="action-bar">
			<button id="refresh">
				<img src="image/dark/refresh.svg" alt=""/>
				<?=s('Refresh')?>
			</button>
			<button id="sessions-button">
				<img src="image/dark/user-info.svg" alt=""/>
				<?=s('ActiveSessions')?>
			</button>
			<button id="visits-button">
				<img src="image/dark/graph.svg" alt=""/>
				<?=s('VisitsQuery')?>
			</button>
		</div>
	</div>
	<div class="step" id="sessions-step">
		<table class="form">
			<tbody>
			<tr>
				<td class="label">
					<label><?=s('ActiveSessions:')?></label>
				</td>
				<td>
					<htk-label>
						<db-calc-sum model="sessions" id="num-sessions"/>
					</htk-label>
				</td>
			</tr>
			<tr>
				<td class="label">
					<label><?=s('NewVisitsTotal:')?></label>
				</td>
				<td>
					<htk-label>
						<db-calc-sum model="sessions" column-name="is_new"/>
					</htk-label>
				</td>
			</tr>
			</tbody>
		</table>
		<div>
			<htk-grid>
				<db-model updatable="false" id="sessions">
					SELECT s.id, c.Cliente, e.date_time login, is_new,
					s.date_time last_activity, a.platform, a.browser, a.version
						FROM user_session s
						JOIN visit_user e ON s.visit_user_id = e.id
						JOIN visit_access c ON e.access_id = c.id
						JOIN visit_agent a ON c.agent_id = a.id
						JOIN visit v ON a.visit_id = v.id
						JOIN account.user u ON e.user_id = u.id
						JOIN vn2008.Clientes c ON e.user_id = c.Id_cliente
							ORDER BY last_activity DESC
				</db-model>
				<htk-column-spin title="SessionNumber" column="id"/>
				<htk-column-text title="User" column="Cliente"/>
				<htk-column-date title="Login" column="login" format="%a, %T"/>
				<htk-column-date title="LastActivity" column="last_activity" format="%a, %T"/>
				<htk-column-text title="SO" column="platform"/>
				<htk-column-text title="Browser" column="browser"/>
				<htk-column-text title="Version" column="version"/>
				<htk-column-check title="NewVisit" column="is_new"/>
			</htk-grid>
		</div>
	</div>
	<div class="step" id="visits-step">
		<table class="form">
			<tbody>
			<tr>
				<td class="label">
					<label><?=s('FromDate:')?></label>
				</td>
				<td>
					<htk-date-chooser>
						<vn-param id="date-from"/>
					</htk-date-chooser>
				</td>
			</tr>
			<tr>
				<td class="label">
					<label><?=s('ToDate:')?></label>
				</td>
				<td>
					<htk-date-chooser>
						<vn-param id="date-to"/>
					</htk-date-chooser>
				</td>
			</tr>
			<tr>
				<td class="label">
					<label><?=s('VisitsTotal:')?></label>
				</td>
				<td>
					<htk-label>
						<db-calc-sum model="visits" column-name="visits"/>
					</htk-label>
				</td>
			</tr>
			<tr>
				<td class="label">
					<label><?=s('NewVisitsTotal:')?></label>
				</td>
				<td>
					<htk-label>
						<db-calc-sum model="visits" column-name="new_visits"/>
					</htk-label>
				</td>
			</tr>
			</tbody>
		</table>
		<div>
			<htk-grid empty-message="SelectDateInterval">
				<db-model id="visits">
					SELECT browser
					,MIN(CAST(version AS DECIMAL(4,1))) min_version
					,MAX(CAST(version AS DECIMAL(4,1))) max_version
					,MAX(e.date_time) last_visit
					,COUNT(DISTINCT c.id) visits
					,SUM(is_new) new_visits
						FROM visit_user e
						JOIN visit_access c ON e.access_id = c.id
						JOIN visit_agent a ON c.agent_id = a.id
						JOIN visit v ON a.visit_id = v.id
							WHERE e.date_time BETWEEN TIMESTAMP(#from,'00:00:00') AND TIMESTAMP(#to,'23:59:59')
							GROUP BY browser ORDER BY visits DESC
					<sql-batch property="batch">
						<item name="from" param="date-from"/>
						<item name="to" param="date-to"/>
					</sql-batch>
				</db-model>
				<htk-column-text title="Browser" column="browser"/>
				<htk-column-spin title="MinVersion" column="min_version" digits="1"/>
				<htk-column-spin title="MaxVersion" column="max_version" digits="1"/>
				<htk-column-date title="LastVisit" column="last_visit" format="%a, %e %b %Y at %T"/>
				<htk-column-spin title="Visits" column="visits"/>
				<htk-column-spin title="NewVisits" column="new_visits"/>
			</htk-grid>
		</div>
	</div>
</div>
</div>
