<div id="basket">
<vn-param id="order-id">
	<vn-hash-link key="order"/>
</vn-param>
<db-form id="order-form">
	<db-model>
		SELECT date_send, type_id, wh_id, note, insurance, address_id, id
			FROM order_view WHERE id = #id
		<sql-batch property="batch">
			<item name="id" param="order-id"/>
		</sql-batch>
	</db-model>
	<db-param column="date_send" id="date"/>
	<db-param column="wh_id" id="warehouse"/>
	<db-param column="address_id" id="address"/>
</db-form>
<div class="box">
	<div class="header">
		<h1><?=s('ShoppingBasket')?></h1>
		<div class="action-bar">
			<button id="go-catalog">
				<img src="image/dark/menu.svg" alt=""/>
				<?=s('GoToCatalog')?>
			</button>
			<button id="checkout-button">
				<img src="image/dark/ok.svg" alt=""/>
				<?=s('Checkout')?>
			</button>
			<div class="clear"></div>
		</div>
	</div>
	<div>
		<table class="form">
		<tbody>
			<tr>
				<td class="label">
					<label><?=s('OrderNumber:')?></label>
				</td>
				<td>
					<htk-label column="id" form="order-form"/>
				</td>
			</tr>
			<tr>
				<td class="label">
					<label><?=s('DateExit:')?></label>
				</td>
				<td>
					<htk-date-chooser column="date_send" form="order-form"/>
				</td>
			</tr>
			<tr>
				<td class="label">
					<label for="warehouse"><?=s('Warehouse:')?></label>
				</td>
				<td>
					<htk-combo column="wh_id" form="order-form">
						<db-model property="model">
							SELECT id, name FROM vn2008.warehouse
								WHERE reserve ORDER BY name
						</db-model>
					</htk-combo>
				</td>
			</tr>
			<tr>
				<td class="label">
					<label for="total"><?=s('OrderTotal:')?></label>
				</td>
				<td>
					<htk-label format="%.2d€">
						<db-calc-sum id="order-total" model="order-rows"/>
					</htk-label>
					<?=s('VATNotIncluded')?>
				</td>
			</tr>
		</tbody>
		</table>
		<htk-grid>
			<db-model result-index="1" id="order-rows">
				CALL item (#warehouse, #date);
				SELECT m.id, i.grouping, m.amount, available, Article, Categoria, Medida,
					Tallos, Color, o.Abreviatura, price, discount, fixed, Foto
					FROM order_row_view m
					INNER JOIN vn2008.Articles a ON a.Id_Article = m.item_id
					LEFT JOIN vn2008.item_catalog i ON i.item_id = m.item_id
					LEFT JOIN vn2008.Origen o ON a.id_origen = o.id
						WHERE m.order_id = #order_id;
				DROP TEMPORARY TABLE vn2008.item_catalog;
				<sql-batch property="batch">
					<item name="warehouse" param="warehouse"/>
					<item name="date" param="date"/>
					<item name="order_id" param="order-id"/>
				</sql-batch>
			</db-model>
			<htk-column-image column="Foto" directory="catalog" subdir="30x30" show-full="true"/>
			<htk-column-spin title="Amount" editable="true" id="column-amount"/>
			<htk-column-text title="Pack" column="grouping" format="x%.0d"/>
			<htk-column-spin title="Stems" column="amount" id="stems" editable="true"/>
			<htk-column-spin title="Avail" column="available"/>
			<htk-column-text title="Item" column="Article"/>
			<htk-column-text title="Cat" column="Categoria"/>
			<htk-column-text title="S1" column="Medida"/>
			<htk-column-text title="Stems" column="Tallos"/>
			<htk-column-text title="Color" column="Color"/>
			<htk-column-text title="Origin" column="Abreviatura"/>
			<htk-column-spin title="Price" column="price" unit="€" digits="2"/>
			<htk-column-spin title="Desc" column="discount" unit="%"/>
			<htk-column-spin title="Subtotal" unit="€" digits="2" id="column-subtotal"/>
		</htk-grid>
	</div>
</div>
</div>
