<div id="catalog">
<vn-group>
	<vn-param id="type">
		<vn-hash-link key="type"/>
	</vn-param>
	<vn-param id="order"/>
	<vn-param id="search"/>
	<db-model id="realms-model">
		SELECT id, reino, color FROM vn2008.reinos
			WHERE display != FALSE ORDER BY reino
	</db-model>
	<db-form id="order-form">
		<db-model>
			SELECT date_send, wh_id, id FROM order_view WHERE id = #order
			<sql-batch property="batch" id="order-batch"/>
		</db-model>
	</db-form>
	<sql-filter type="AND" id="filter">
		<sql-filter-item type="EQUAL" id="sql-type">
			<sql-field name="tipo_id"/>
			<sql-value param="type"/>
		</sql-filter-item>
		<sql-filter-item type="LIKE">
			<sql-field name="Article"/>
			<sql-search-tags param="search"/>
		</sql-filter-item>
	</sql-filter>
</vn-group>
<div id="catalog-center">
	<div id="catalog-main">
	<div class="box">
		<div class="header" id="catalog-header">
			<button id="catalog-menu-button">
				<img src="image/dark/menu.svg" alt="<?=s('Menu')?>"/>
			</button>
			<h1 id="catalog-title"><?=s('Catalog')?></h1>
			<div id="catalog-topbar">
				<div id="catalog-search">
					<img src="image/search.svg" alt="<?=s('Search')?>" class="icon"/>
					<input type="text" id="search-entry"/>
				</div>
			</div>
		</div>
		<htk-grid empty-message="SelectSubtype" id="items-grid">
			<db-model result-index="1" main-table="m" updatable="false" id="items">
				CALL item (#warehouse, #date);
				SELECT i.grouping, m.amount, Foto, i.available, Article, Categoria,
				Medida, Tallos, Color, o.Abreviatura, price, fixed, m.id,
				Id_Article
					FROM vn2008.Articles a
					INNER JOIN vn2008.item_catalog i ON i.item_id = a.Id_Article
					LEFT JOIN vn2008.Origen o ON a.id_origen = o.id
					LEFT JOIN order_row_view m
						ON m.item_id = a.Id_Article AND m.order_id = #order
						WHERE #filter AND available > 0
						ORDER BY Article, Medida
						LIMIT 400;
				DROP TEMPORARY TABLE vn2008.item_catalog;
				<sql-batch property="batch" id="batch">
					<item name="warehouse" param="warehouse"/>
					<item name="date" param="date"/>
					<item name="order" param="order"/>
					<item name="filter" object="filter"/>
				</sql-batch>
			</db-model>
			<htk-column-image title="*" column="Foto" directory="catalog" subdir="200x200" show-full="true" editable="true"/>
			<htk-column-text title="Pack" column="grouping" format="x%.0d"/>
			<htk-column-spin title="Aval" column="available"/>
			<htk-column-text title="Name" column="Article"/>
			<htk-column-text title="Cat" column="Categoria" id="cat"/>
			<htk-column-text title="S1" column="Medida"/>
			<htk-column-text title="Color" column="Color"/>
			<htk-column-text title="Origin" column="Abreviatura"/>
		</htk-grid>
		<p id="footer-message">
			<?=s('IndicativePhotos')?>
		</p>
	</div>
	</div>
</div>
<div id="catalog-menu">
	<button disabled="true" id="basket-button">
		<?=s('StartOrder')?>
	</button>
	<div class="form-group">
		<htk-date-chooser>
			<vn-param id="date"/>
		</htk-date-chooser>
	</div>
	<div class="form-group">
		<htk-combo>
			<db-model property="model">
				SELECT id, name FROM vn2008.warehouse
					WHERE reserve ORDER BY name
			</db-model>
			<vn-param id="warehouse"/>
		</htk-combo>
	</div>
	<htk-realm id="realms" model="realms-model">
		<vn-param id="realm">
			<vn-hash-link key="realm"/>
		</vn-param>
	</htk-realm>
	<div id="types-box">
		<htk-grid id="types-grid" empty-message="SelectFamily">
			<db-model id="types-model">
				SELECT tipo_id, Tipo FROM vn2008.Tipos
					WHERE reino_id = #realm AND Orden != 0 ORDER BY Orden DESC, Tipo
				<sql-batch property="batch">
					<item name="realm" param="realm"/>
				</sql-batch>
			</db-model>
			<htk-column-link title="Subtype" column="Tipo" id="type-column"/>
		</htk-grid>
	</div>
</div>
</div>
