<div id="ticket">
<vn-group>
	<vn-param id="ticket-id">
		<vn-hash-link key="ticket"/>
	</vn-param>
	<db-form id="ticket">
		<db-model id="ticket-data" updatable="false">
			SELECT t.id, date, a.Agencia, note, p.name province,
			zip_code, city, c.name, consignee, invoice
				FROM ticket_view t
				JOIN address_view c ON t.address_id = c.id
				JOIN vn2008.Agencias a ON t.agency_id = a.Id_Agencia
				JOIN vn2008.province p ON c.province_id = p.province_id
					WHERE t.id = #ticket
			<sql-batch property="batch">
				<item name="ticket" param="ticket-id"/>
			</sql-batch>
		</db-model>
	</db-form>
</vn-group>
<div class="box">
	<div class="header">
		<h1><?=s('OrderDetail')?></h1>
		<div class="action-bar">
			<button id="print">
				<img src="image/dark/print.svg" alt=""/>
				<?=s('Print')?>
			</button>
		</div>
	</div>
	<div id="ticket-report">
		<table class="form">
		<tbody>
			<tr>
				<td class="label">
					<label><?=s('TicketNumber:')?></label>
				</td>
				<td>
					<htk-label column="id" form="ticket"/>
				</td>
			</tr>
			<tr>
				<td class="label">
					<label><?=s('DateExit:')?></label>
				</td>
				<td>
					<htk-date-chooser column="date" form="ticket" editable="false"/>
				</td>
			</tr>
			<tr>
				<td class="label">
					<label><?=s('SendMethod:')?></label>
				</td>
				<td>
					<htk-label column="Agencia" form="ticket"/>
				</td>
			</tr>
			<tr>
				<td class="label">
					<label><?=s('Notes:')?></label>
				</td>
				<td>
					<htk-label column="note" form="ticket"/>
				</td>
			</tr>
			<tr>
				<td class="label">
					<label for="total"><?=s('Subtotal:')?></label>
				</td>
				<td>
					<htk-label format="%.2d€">
						<db-calc-sum id="ticket-subtotal" model="movements"/>
					</htk-label>
				</td>
			</tr>
		</tbody>
		</table>
		<htk-grid model="ticket-data">
			<htk-column-spin title="PC" column="zip_code"/>
			<htk-column-text title="City" column="city"/>
			<htk-column-text title="Province" column="province"/>
			<htk-column-text title="Address" column="name"/>
			<htk-column-text title="Consignee" column="consignee"/>
		</htk-grid>
		<htk-grid>
			<db-model id="movements">
				SELECT m.item_id, amount, concept, Categoria, Medida, Tallos, Color,
				Abreviatura, IF(fixed != FALSE, price, NULL) price, fixed, discount
					FROM ticket_row_view m
					INNER JOIN vn2008.Articles a
						ON m.item_id = a.Id_Article AND ticket_id = #ticket 
					LEFT JOIN vn2008.Origen o
						ON a.id_origen = o.id
						ORDER BY concept
				<sql-batch property="batch">
					<item name="ticket" param="ticket-id"/>
				</sql-batch>
			</db-model>
			<htk-column-spin title="ItemNumber" column="item_id"/>
			<htk-column-spin title="Amount" column="amount"/>
			<htk-column-text title="Item" column="concept"/>
			<htk-column-text title="Category" column="Categoria"/>
			<htk-column-text title="S1" column="Medida"/>
			<htk-column-text title="Stems" column="Tallos"/>
			<htk-column-text title="Color" column="Color"/>
			<htk-column-text title="Origin" column="Abreviatura"/>
			<htk-column-spin title="Price" column="price" unit="€" digits="2"/>
			<htk-column-spin title="Desc" column="discount" unit="%"/>
			<htk-column-spin title="Subtotal" unit="€" digits="2" id="subtotal"/>
		</htk-grid>
	</div>
</div>
</div>
