
Vn.New = new Class
({
	Extends: Vn.Module

	,activate: function ()
	{
		Vn.get ('new-cancel').addEventListener ('click', this.onCancelClick.bind (this));
		Vn.get ('new-accept').addEventListener ('click', this.onAcceptClick.bind (this));
		this.get ('new-form').on ('status-changed', this.onStatusChange, this);
		this.get ('new-body').on ('changed', this.onBodyChange, this);

		tinymce.init ({
		    mode : 'exact'
		    ,elements : 'html-editor'
			,plugins: [
				"advlist autolink lists link image charmap print preview hr anchor pagebreak",
				"searchreplace wordcount visualblocks visualchars code fullscreen",
				"insertdatetime media nonbreaking save table contextmenu directionality",
				"emoticons template paste textcolor"
			]
			,toolbar1: "print preview | link image media emoticons blockquote | insertfile undo redo "
			,toolbar2: "bold italic | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent"
			,toolbar3: "styleselect | fontselect fontsizeselect | forecolor backcolor "
			,image_advtab: true
			,setup : function (editor)
			{
				editor.on ('init', function () 
				{
					this.getDoc().body.style.fontSize = '1em';
				});
			}
		});
	}
	
	,onStatusChange: function (form)
	{
		if (this.get ('new-param').value == 0)
			form.insertRow ();
	}

	,onBodyChange: function ()
	{
		var newHtml = this.get ('new-form').get ('text');
		
		if (!newHtml)
			newHtml = '';
			
		tinyMCE.get ('html-editor').setContent (newHtml);
	}
	
	,onCancelClick: function ()
	{
		this.hash.set ({'form': 'news/news'});
	}

	,onAcceptClick: function ()
	{
		var form = this.get ('new-form');
		var newHtml = tinyMCE.get ('html-editor').getContent ();
	
		if (this.get ('new-param').value == 0)
		{
			var batch = new Sql.Batch ();
			batch.addValue ('title', form.get ('title'));
			batch.addValue ('tag', form.get ('tag'));
			batch.addValue ('text', newHtml);
	
			var query = 'INSERT INTO news (title, text, tag, user_id) '
				+'VALUES (#title, #text, #tag, account.user_get_id())';

			this.conn.execQuery (query, this.newAdded.bind (this), batch);
//			this.get ('new-form').performOperations ();
		}
		else
		{
			form.set ('text', newHtml);
			this.onCancelClick ();
		}
	}

	,newAdded: function (resultSet)
	{
		if (resultSet.fetchResult ())
			this.onCancelClick ();
	}
});

