Htk.ImageEditor = new Class
({	
	Extends: Htk.Widget
	,Implements: Htk.Popup
	
	,maxFileSize: 10 /* MB */ * 1048576

	,initialize: function ()
	{	
		this.createElement ('div');
		this.node.className = 'htk-image-editor';

		var title = document.createElement ('h2');
		title.appendChild (document.createTextNode (_('UpdateImage')));
		this.node.appendChild (title);

		var form = document.createElement ('form');
		form.method = 'post';
		form.action = 'rest.php?action=image';
		form.target = 'image-editor';
		form.enctype = 'multipart/form-data';
		form.addEventListener ('submit', this.formSubmit.bind (this));
		this.node.appendChild (form);

		var div = document.createElement ('div');
		div.className = 'form-group';
		form.appendChild (div);

			var label = document.createElement ('label');
			label.appendChild (document.createTextNode (_('FileName') + ':'));
			div.appendChild (label);
	
			var nameInput = document.createElement ('input');
			nameInput.type = 'text';
			nameInput.name = 'name';
			nameInput.addEventListener ('change', this.nameChanged.bind (this));
			div.appendChild (nameInput);

		var div = document.createElement ('div');
		div.className = 'form-group';
		form.appendChild (div);

			var label = document.createElement ('label');
			label.appendChild (document.createTextNode (_('File') + ':'));
			div.appendChild (label);
	
			var fileInput = document.createElement ('input');
			fileInput.type = 'file';
			fileInput.name = 'image';
			div.appendChild (fileInput);

		var div = document.createElement ('div');
		div.className = 'footer';
		form.appendChild (div);
		
			var loader = document.createElement ('img');
			loader.alt = _('Loading');
			loader.src = 'image/loader-black.gif';
			div.appendChild (loader);
	
			var submitButton = document.createElement ('input');
			submitButton.type = 'submit';
			submitButton.appendChild (document.createTextNode (_('UploadFile')));
			div.appendChild (submitButton);
		
		var iframe = document.createElement ('iframe');
		iframe.name = 'image-editor';
		iframe.addEventListener ('load', this.imageUploaded.bind (this, iframe));
		this.node.appendChild (iframe);

		var schemaInput = document.createElement ('input');
		schemaInput.type = 'hidden';
		schemaInput.name = 'schema';
		form.appendChild (schemaInput);

		var input = document.createElement ('input');
		input.type = 'hidden';
		input.name = 'MAX_FILE_SIZE';
		input.value = this.maxFileSize;
		form.appendChild (input);

		this.schemaInput = schemaInput;
		this.fileInput = fileInput;
		this.nameInput = nameInput;
		this.submitButton = submitButton;
		this.loader = loader;
	}
	
	,setData: function (image, directory)
	{
		this.nameInput.value = image;
		this.schemaInput.value = directory;
	}

	,formSubmit: function ()
	{
		this.submitButton.disabled = true;
		this.loader.style.visibility = 'visible';
	}

	,imageUploaded: function (iframe)
	{
		this.submitButton.disabled = false;
		this.loader.style.visibility = 'hidden';

		try {
			var responseText = iframe.contentDocument.body.textContent;
			var response = eval ('('+ responseText +')');

			if (response.data)
				this.signalEmit ('file-uploaded', this.nameInput.value);
			else
				alert (response.error.message +' ('+ response.error.code +')');
		}
		catch (e) {}
	}

	,nameChanged: function ()
	{
		this.signalEmit ('name-changed', this.nameInput.value);
	}
});

