
Vn.Module = new Class
({
	initialize: function (gui, formInfo)
	{
		this.gui = gui;
		this.conn = gui.conn;
		this.hash = gui.hash;
		this.formInfo = formInfo;

		this.builder = new Vn.Builder ();
		this.html = this.builder.addFromXml (formInfo.xml.responseXML);

		var models = this.builder.getObjects ('db-model');

		for (var i = 0; i < models.length; i++)
			models[i].conn = this.conn;

		var hashLinks = this.builder.getObjects ('vn-hash-link');

		for (var i = 0; i < hashLinks.length; i++)
			hashLinks[i].hash = this.hash;
			
		gui.formHolder.appendChild (this.html);
	}

	/**
	 * Gets an object from the builder associated to this form.
	 *
	 * @param {string} objectId The object identifier
	 * @return {Object} The object, or %null if not found
	 **/
	,get: function (objectId)
	{
		return this.builder.get (objectId);
	}

	/**
	 * Called when the form is opened.
	 **/
	,activate: function () {}

	/**
	 * Called when the form is closed.
	 **/
	,close: function ()
	{
		Vn.Node.remove (this.html);
		this.builder.destroy ();
	}
});

